<template>
  <section id="projecte-tecnic-en-dades">
    <div
      class="flex justify-center bg-fixed bg-center bg-cover fx-overlay fx-ovl-color fx-ovl-opacity-75"
      :style="{ 'background-image': `url(${background_image.image.src})`, '--fx-overlay-color': theme.colors.pink['700'] }"
    >
      <span class="absolute" role="img" :aria-label="background_image.description"></span>

      <div
        class="mx-4 my-20 flex justify-center flex-wrap md:mx-16 lg:mx-0 lg:my-32 xl:max-w-limit"
      >
        <DataBox class="lg:flex-grow" v-for="item in items" :key="item.id" v-bind="item" />
      </div>
    </div>
  </section>
</template>

<script>
import DataBox from '~/components/common/DataBox.vue';

export default {
  name: 'ProjecteTecnicEnDades',
  components: {
    DataBox,
  },
  inject: ['theme'],
  props: {
    background_image: Object,
    items: Array,
  },
};
</script>
